## com.lowagie.text.pdf
Class PdfCopy.RefKey

    java.lang.Object
      com.lowagie.text.pdf.PdfCopy.RefKey

Enclosing class:
  PdfCopy

    protected static class PdfCopy.RefKey

extends java.lang.Object

A key to allow us to hash indirect references

Field Summary
`(package private) int` `gen`
`(package private) int` `num`

Constructor Summary
`PdfCopy.RefKey(int num, int gen)`
`PdfCopy.RefKey(PdfIndirectReference ref)`
`PdfCopy.RefKey(PRIndirectReference ref)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### num

    int num

### gen

    int gen

Constructor Detail

### PdfCopy.RefKey

    PdfCopy.RefKey(int num,
                   int gen)

### PdfCopy.RefKey

    PdfCopy.RefKey(PdfIndirectReference ref)

### PdfCopy.RefKey

    PdfCopy.RefKey(PRIndirectReference ref)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Hosted by Hostbasket